Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.importstree.server
Class ActiveOntologyFrameStoreHandler

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler
          edu.stanford.smi.protegex.owl.ui.importstree.server.ActiveOntologyFrameStoreHandler

All Implemented Interfaces:
  InvocationHandler

    public class ActiveOntologyFrameStoreHandler

extends edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler

Constructor Summary
`ActiveOntologyFrameStoreHandler(OWLModel owlModel)`

Method Summary
`protected void` | `executeQuery(edu.stanford.smi.protege.model.query.Query q, edu.stanford.smi.protege.model.query.QueryCallback qc)`
`protected Object` | `handleInvoke(Method method, Object[] args)`
`void` | `setActiveOntology(OWLOntology ontology)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler
`getDelegate, getInstance, handleClose, handleReinitialize, invoke, invoke, invoke, isModification, isQuery, newInstance, newInstance, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActiveOntologyFrameStoreHandler

    public ActiveOntologyFrameStoreHandler(OWLModel owlModel)

Method Detail

### setActiveOntology

    public void setActiveOntology(OWLOntology ontology)

### executeQuery

    protected void executeQuery(edu.stanford.smi.protege.model.query.Query q,
                                edu.stanford.smi.protege.model.query.QueryCallback qc)

  Specified by:
    `executeQuery` in class `edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler`

### handleInvoke

    protected Object handleInvoke(Method method,
                                  Object[] args)

  Specified by:
    `handleInvoke` in class `edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.